<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Dokumente;

class DokumenteController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getRequestObj()
  {
    $requestObj = new DokumenteRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DokumenteUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DokumentePresenter($pUseCaseResponse);
  }
}